# -*- rpm-spec -*-
# $Id: kernel-modules-net_mod-aw-up,v 1.15 2003/09/03 16:05:29 ed Exp $
#

%define	upstream_name	net_mod

%define module_name	kernel-modules-%upstream_name
%define module_version	1.1.4
%define module_urelease	B1

%define kversion 2.4.21
%define krelease alt23
%define flavour	aw-up

%define kcc "%kgcc"

%define module_dir /lib/modules/%kversion-%flavour-%krelease/kernel/drivers/net

Name: %module_name-%flavour
Version: %module_version
Release: alt2.b1

Summary: Network Stack Driver Module
License: GPL
Group: System/Kernel and hardware
Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux

BuildPreReq: kernel-build-tools

%if_enabled ccache
BuildRequires: ccache
%endif

BuildRequires: gcc2.96 rpm >= 4.0.2-75
BuildRequires: kernel-source-%upstream_name
BuildRequires: kernel-headers-%flavour = %kversion-%krelease

Prereq: coreutils
Prereq:	modutils
Prereq: kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86
Provides: %module_name

%description
This package contains net_mod, linux kernel mudule, which
allows users to create their own lower-level network (such as TCP/IP or another protocol) 
stack implementations below the sockets layer by converting the current socket layer into 
a functional API.

%prep

rm -rf %upstream_name-%module_version
%__tar -jxvf %kernel_src/%upstream_name-%module_version%module_urelease-alt.tar.bz2

%setup -D -T -n %upstream_name-%module_version%module_urelease-alt

%build

%make_install CC=%kcc -C src SRCTREE=%_includedir/linux-%kversion-%flavour

%install
%__mkdir_p %buildroot/%module_dir
%__install -p -m644 src/%upstream_name.o %buildroot/%module_dir

%post
/sbin/depmod -a -e -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%postun
/sbin/depmod -a -e -F /boot/System.map-%kversion-%flavour-%krelease \
    %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Wed Sep 03 2003 Ed V. Bartosh <ed@altlinux.org> 1.1.4-alt2.b1
- rebuilt with 2.4.21-alt23

* Wed Sep  3 2003 Ed V. Bartosh <ed@sam-solutions.net> 1.1.4-alt1.b1
- Updated to net_mod 1.1.4B1

* Tue Aug 26 2003 Ed V. Bartosh <ed@altlinux.org> 1.1.3-alt14
- rebuilt with 2.4.21-alt21

* Wed Aug 20 2003 Ed V. Bartosh <ed@altlinux.org> 1.1.3-alt13
- rebuilt with 2.4.21-alt19

* Mon Aug 11 2003 Zhenja Kaluta <tren@altlinux.ru> 1.1.3-alt12
- rebuilt with 2.4.21-alt18

* Fri Aug  8 2003 Zhenja Kaluta <trinfo@mail.ru> 1.1.3-alt11
- rebuilt with 2.4.21-alt17

* Thu Aug 07 2003 Ed V. Bartosh <ed@altlinux.org> 1.1.3-alt10
- rebuilt with 2.4.21-alt14

* Wed Aug 06 2003 Ed V. Bartosh <ed@altlinux.org> 1.1.3-alt9
- rebuilt with 2.4.21-alt13

* Fri Aug  1 2003 Ed V. Bartosh <ed@sam-solutions.net> 1.1.3-alt8
- aw-up-2.4.21-alt12

* Tue Jul 29 2003 Ed V. Bartosh <ed@sam-solutions.net> 1.1.3-alt7
- aw-up-2.4.21-alt11

* Wed Jul 23 2003 Ed V. Bartosh <ed@sam-solutions.net> 1.1.3-alt6
- aw-up-2.4.21-alt10

* Thu Jun 19 2003 Ed V. Bartosh <ed@sam-solutions.net> 1.1.3-alt5
- updated to 2.4.21 aw-smp

* Mon Jun  9 2003 Ed V. Bartosh <ed@sam-solutions.net> 1.1.3-alt4
- build with gcc 2.96, change module_dir

* Fri Jun  6 2003 Ed V. Bartosh <ed@sam-solutions.net> 1.1.3-alt3
- updated for rc7 kernel

* Tue May 20 2003 Ed V. Bartosh <ed@sam-solutions.net> 1.1.3-alt2
- Initial release


